From: "Adam Feldman" <np-hardass@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/mozo/
Date: Fri, 25 Sep 2020 20:32:51 +0000 (UTC) [thread overview]
Message-ID: <1601065956.57866a6cee443d6edbfe1e9c7d62105f85e0382f.np-hardass@gentoo> (raw)
commit: 57866a6cee443d6edbfe1e9c7d62105f85e0382f
Author: Adam Feldman <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 6 22:28:14 2020 +0000
Commit: Adam Feldman <np-hardass <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 20:32:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57866a6c
x11-misc/mozo: Update python, fix deps
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Adam Feldman <NP-Hardass <AT> gentoo.org>
x11-misc/mozo/mozo-1.24.0-r1.ebuild | 69 +++++++++++++++++++++++++++++++++++++
1 file changed, 69 insertions(+)
diff --git a/x11-misc/mozo/mozo-1.24.0-r1.ebuild b/x11-misc/mozo/mozo-1.24.0-r1.ebuild
new file mode 100644
index 00000000000..8977a145b15
--- /dev/null
+++ b/x11-misc/mozo/mozo-1.24.0-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+PYTHON_REQ_USE="xml"
+
+inherit mate python-r1
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Mozo menu editor for MATE"
+LICENSE="GPL-2+ GPL-3+ LGPL-2+ LGPL-2.1+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ >=dev-python/pygobject-3:3[${PYTHON_USEDEP}]
+ >=mate-base/mate-menus-1.21.0[introspection]
+ x11-libs/gdk-pixbuf:2[introspection]
+ >=x11-libs/gtk+-3.22:3[introspection]
+ !!x11-misc/mate-menu-editor
+"
+
+RDEPEND="${COMMON_DEPEND}
+ virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ mate_src_prepare
+ python_copy_sources
+}
+
+src_configure() {
+ python_foreach_impl run_in_build_dir mate_src_configure \
+ --disable-icon-update
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+ python_foreach_impl run_in_build_dir emake check
+}
+
+src_install() {
+ installing() {
+ mate_src_install
+
+ # Massage shebang to make python_doscript happy
+ sed -e 's:#! '"${PYTHON}:#!/usr/bin/python:" \
+ -i mozo || die
+
+ python_doscript mozo
+ python_optimize
+ }
+
+ python_foreach_impl run_in_build_dir installing
+}
next reply other threads:[~2020-09-25 20:32 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-25 20:32 Adam Feldman [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-26 3:17 [gentoo-commits] repo/gentoo:master commit in: x11-misc/mozo/ Sam James
2024-11-26 3:17 Sam James
2024-06-18 8:06 Joonas Niilola
2024-06-16 6:06 Joonas Niilola
2024-06-16 6:06 Joonas Niilola
2024-05-21 16:10 Rick Farina
2024-03-10 1:59 Sam James
2023-12-22 6:46 Sam James
2023-12-21 11:55 Sam James
2023-06-14 23:13 Sam James
2023-06-14 19:42 Sam James
2023-05-05 4:39 Sam James
2022-12-21 10:00 Andreas Sturmlechner
2022-12-16 20:39 Arthur Zamarin
2022-10-28 14:02 Arthur Zamarin
2022-09-07 7:52 Michał Górny
2021-08-02 1:40 Adam Feldman
2021-06-30 22:43 Adam Feldman
2021-06-02 17:31 Rick Farina
2021-05-31 21:07 Michał Górny
2020-12-02 23:31 Thomas Deutschmann
2020-12-02 21:54 Sam James
2020-08-07 3:18 Adam Feldman
2020-05-08 4:45 Adam Feldman
2020-05-08 4:45 Adam Feldman
2020-04-06 17:49 Adam Feldman
2020-04-06 17:49 Adam Feldman
2019-08-13 8:17 Michał Górny
2019-05-12 21:04 Göktürk Yüksek
2019-04-14 21:25 Mikle Kolyada
2019-04-14 16:24 Mikle Kolyada
2019-04-14 15:27 Mikle Kolyada
2019-03-17 22:04 Mikle Kolyada
2019-03-17 11:11 Mikle Kolyada
2018-10-06 20:25 Mart Raudsepp
2018-09-10 16:19 Mikle Kolyada
2018-09-09 23:53 Thomas Deutschmann
2017-09-27 3:23 NP Hardass
2017-06-04 15:18 Ettore Di Giacinto
2017-04-21 7:33 David Seifert
2017-01-29 12:57 Ettore Di Giacinto
2016-12-08 15:31 Ettore Di Giacinto
2016-11-24 22:22 Ettore Di Giacinto
2016-11-21 11:02 Ettore Di Giacinto
2016-10-15 2:59 NP Hardass
2016-10-15 2:59 NP Hardass
2016-08-12 5:13 NP Hardass
2016-08-06 2:12 NP Hardass
2016-07-25 18:36 NP Hardass
2016-05-30 19:18 Mikle Kolyada
2016-02-09 2:49 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601065956.57866a6cee443d6edbfe1e9c7d62105f85e0382f.np-hardass@gentoo \
--to=np-hardass@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox